- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
gserver.h File Reference
`#include "gdef.h"`
`#include "gnet.h"`
`#include "gsocket.h"`
`#include "gsocketprotocol.h"`
`#include "gtimer.h"`
`#include "gconnection.h"`
`#include "gconnectionlookup.h"`
`#include "gevent.h"`
`#include <utility>`
`#include <list>`
`#include <memory>`
`#include <string>`

Go to the source code of this file.

## Classes
class | GNet::ServerPeerHandle
| A structure used in the implementation of GNet::Server. More...
class | GNet::Server
| A network server class which listens on a specific port and spins off ServerPeer objects for each incoming connection. More...
struct | GNet::Server::PeerInfo
| A structure used in GNet::Server::newPeer(). More...
class | GNet::ServerPeer
| An abstract base class for the GNet::Server's connection to a remote client. More...

## Namespaces
| GNet
| Network classes.